Name:             apache-juddi
Version:          3.1.4
Release:          4%{?dist}
Summary:          Client API for UDDI
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://juddi.apache.org/

# svn export http://svn.apache.org/repos/asf/juddi/tags/juddi-3.1.4/ apache-juddi
# tar cafJ apache-juddi-3.1.4.tar.xz apache-juddi
Source0:          %{name}-%{version}.tar.xz

Patch1:           0001-Build-only-client-module.patch
Patch2:           0002-Change-jaxws-api-dependency.patch
Patch3:           0003-Disable-ReadWSDLTest.readFromJar.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    jboss-jaxws-2.2-api
BuildRequires:    wsdl4j

%description
jUDDI is an open source Java implementation of the Universal Description,
Discovery, and Integration (UDDI v3) specification for Web Services.

This package includes only the client side of jUDDI.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE_NOTES.html LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.1.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jan  8 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1.4-2
- Build with xmvn

* Tue Dec 11 2012 Michal Srb <msrb@redhat.com> - 3.1.4-1
- Update to version 3.1.4 (Resolves: #880506)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1.3-3
- Disable ReadWSDLTest.readFromJar()

* Fri May 11 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1.3-2
- Cleanup according to Packaging Guidelines

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 3.1.3-1
- Initial packaging
